tuples(1)

Name
tuples - List all critical n-tuples for a given group.

Syntax

    tuples n [inputfile]

Options

n   the n value (> 1).

inputfile
    the groups complete rewriting system file that conforms to the Geometry Group Standard format (including finite state automata), and in particular should be of the form outputted by kbeqn or cfsa - that is, we can just use the output from kbeqn as the input to our program. If no file name is given Standard Input is used.

Usage
Given a group and its complete rewriting system including finite state automata (the inputfile), lists all critical n-tuples. The output lists the number of critical n-tuples, followed by each tuple on a single line, in the form
        string [rewriting_rule_position, rewriting_rule_length] .... Position is taken from 0 being left most.

Example
Resulting output from a run may look something like
        Number of Critical 2-tuples = 6
        aaa [0,2] [1,2]
        bbb [0,2] [1,2]
        bba [0,2] [1,2]
        bbca [0,2] [1,3]
        ccc [0,2] [1,2]
        ccb [0,2] [1,2]

See also
cfsa(1) kbeqn(1) kbeqn2(1)

Author
Jamie P. Curmi (17/8/94) for the Computational Tools for Homolgy of Groups Project